﻿// <auto-generated />
using System;
using Entity.FGS_FIFO;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Entity.Migrations
{
    [DbContext(typeof(Trace_DBContext))]
    [Migration("20210621090246_taggentable101")]
    partial class taggentable101
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.4")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Ageing_Master", b =>
                {
                    b.Property<int>("Ageing_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Ageing_Months")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<int?>("Status")
                        .HasColumnType("int");

                    b.HasKey("Ageing_Id");

                    b.ToTable("FGS_FIFO_Ageing_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Batch_Type_Master", b =>
                {
                    b.Property<int>("Batch_Type_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Batch_Type_Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int?>("Batch_Type_Status")
                        .HasColumnType("int");

                    b.HasKey("Batch_Type_Id");

                    b.ToTable("FGS_FIFO_Batch_Type_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Cust_Ageing_Mapping", b =>
                {
                    b.Property<int>("Cust_Ageing_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Ageing_Id")
                        .HasColumnType("int");

                    b.Property<int>("Ageing_Status")
                        .HasColumnType("int");

                    b.Property<int>("Customer_Id")
                        .HasColumnType("int");

                    b.Property<DateTime?>("EntryDate")
                        .IsRequired()
                        .HasColumnType("datetime2");

                    b.HasKey("Cust_Ageing_Id");

                    b.HasIndex("Ageing_Id");

                    b.HasIndex("Customer_Id");

                    b.ToTable("FGS_FIFO_Cust_Ageing_Mapping");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Customer_Master", b =>
                {
                    b.Property<int>("Customer_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Batch_Type_Id")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<int?>("Cust_Status")
                        .HasColumnType("int");

                    b.Property<string>("Customer_Address")
                        .IsRequired()
                        .HasMaxLength(150)
                        .HasColumnType("nvarchar(150)");

                    b.Property<string>("Customer_Name")
                        .IsRequired()
                        .HasMaxLength(150)
                        .HasColumnType("nvarchar(150)");

                    b.Property<int>("Customer_Type_Id")
                        .HasColumnType("int");

                    b.HasKey("Customer_Id");

                    b.HasIndex("Batch_Type_Id");

                    b.HasIndex("Customer_Type_Id");

                    b.ToTable("FGS_FIFO_Customer_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Customer_Type_Master", b =>
                {
                    b.Property<int>("Customer_Type_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Customer_Type_Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int?>("Customer_Type_Status")
                        .HasColumnType("int");

                    b.HasKey("Customer_Type_Id");

                    b.ToTable("FGS_FIFO_Customer_Type_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Daily_Despatch_Transaction", b =>
                {
                    b.Property<int>("Desp_TransId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Barcode")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Desp_Req_Id")
                        .HasColumnType("int");

                    b.Property<int?>("Desp_Status_Id")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<string>("Entered_By")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("EntryDate")
                        .HasColumnType("datetime2");

                    b.Property<int?>("Inv_TransId")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<int>("Quantity_Despatched")
                        .HasColumnType("int");

                    b.Property<string>("vehicle_number")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Desp_TransId");

                    b.HasIndex("Desp_Req_Id");

                    b.HasIndex("Desp_Status_Id");

                    b.ToTable("FGS_FIFO_Daily_Despatch_Transaction");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Daily_Receipt_Transaction", b =>
                {
                    b.Property<int>("Inv_TransId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Barcode")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int>("Batch_Type_Id")
                        .HasColumnType("int");

                    b.Property<string>("Entered_By")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("EntryDate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime>("Exp_Date")
                        .HasColumnType("datetime2");

                    b.Property<DateTime>("Invoice_Date")
                        .HasColumnType("datetime2");

                    b.Property<string>("Invoice_No")
                        .IsRequired()
                        .HasMaxLength(150)
                        .HasColumnType("nvarchar(150)");

                    b.Property<int>("Location_Id")
                        .HasColumnType("int");

                    b.Property<int>("Material_Id")
                        .HasColumnType("int");

                    b.Property<DateTime>("ProdDate")
                        .HasColumnType("datetime2");

                    b.Property<int>("Quantity")
                        .HasColumnType("int");

                    b.Property<int>("Status")
                        .HasColumnType("int");

                    b.Property<int>("Supplier_Id")
                        .HasColumnType("int");

                    b.HasKey("Inv_TransId");

                    b.HasIndex("Batch_Type_Id");

                    b.HasIndex("Location_Id");

                    b.HasIndex("Material_Id");

                    b.HasIndex("Supplier_Id");

                    b.ToTable("FGS_FIFO_Daily_Receipt_Transaction");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Despatch_Request", b =>
                {
                    b.Property<int>("Desp_Req_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Customer_id")
                        .HasColumnType("int");

                    b.Property<string>("Entered_By")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("Invoice_Date")
                        .HasColumnType("datetime2");

                    b.Property<string>("Invoice_No")
                        .IsRequired()
                        .HasMaxLength(150)
                        .HasColumnType("nvarchar(150)");

                    b.Property<int>("Material_Id")
                        .HasColumnType("int");

                    b.Property<int>("Quantity")
                        .HasColumnType("int");

                    b.Property<int>("Request_Status")
                        .HasColumnType("int");

                    b.Property<DateTime>("Requested_DateTime")
                        .HasColumnType("datetime2");

                    b.HasKey("Desp_Req_Id");

                    b.HasIndex("Customer_id");

                    b.HasIndex("Material_Id");

                    b.ToTable("FGS_FIFO_Despatch_Request");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Despatch_Status_Master", b =>
                {
                    b.Property<int>("Desp_Status_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Desp_Status_Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Desp_Status_Id");

                    b.ToTable("FGS_FIFO_Despatch_Status_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Location_Master", b =>
                {
                    b.Property<int>("Location_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Location_Is_Empty")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<string>("Location_Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int?>("Location_Status")
                        .HasColumnType("int");

                    b.HasKey("Location_Id");

                    b.ToTable("FGS_FIFO_Location_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Material_Master", b =>
                {
                    b.Property<int>("Material_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("EntryDate")
                        .HasColumnType("datetime2");

                    b.Property<string>("Material_Code")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Material_Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Material_Status")
                        .HasColumnType("int");

                    b.Property<int>("Material_Type_Id")
                        .HasColumnType("int");

                    b.HasKey("Material_Id");

                    b.HasIndex("Material_Type_Id");

                    b.ToTable("FGS_FIFO_Material_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Material_Type_Master", b =>
                {
                    b.Property<int>("Material_Type_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Material_Type_Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Material_Type_Status")
                        .HasColumnType("int");

                    b.HasKey("Material_Type_Id");

                    b.ToTable("FGS_FIFO_Material_Type_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Supplier_Master", b =>
                {
                    b.Property<int>("Supplier_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("EntryDate")
                        .HasColumnType("datetime2");

                    b.Property<string>("Supplier_Code")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Supplier_Contact_No")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("Supplier_Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int>("Supplier_Status")
                        .HasColumnType("int");

                    b.HasKey("Supplier_Id");

                    b.ToTable("FGS_FIFO_Supplier_Master");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Application_Employee_Mapping", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Add")
                        .HasColumnType("int");

                    b.Property<int>("Delete")
                        .HasColumnType("int");

                    b.Property<int>("LogMastEmp_Id")
                        .HasColumnType("int");

                    b.Property<int>("Module_Id")
                        .HasColumnType("int");

                    b.Property<int>("Update")
                        .HasColumnType("int");

                    b.Property<int>("View")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("LogMastEmp_Id");

                    b.HasIndex("Module_Id");

                    b.ToTable("Trace_Application_Employee_Mapping");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Application_Master", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Application_Id")
                        .HasColumnType("int");

                    b.Property<string>("Application_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Application_Status")
                        .HasColumnType("int");

                    b.Property<int>("Plant_Id")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Trace_Application_Master");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Login_Details", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Emp_Id")
                        .HasColumnType("int");

                    b.Property<int>("Logged_Time")
                        .HasColumnType("int");

                    b.Property<int>("Module_Id")
                        .HasColumnType("int");

                    b.Property<int>("Plant_Id")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Trace_Login_Details");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Login_Master", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Emp_Id")
                        .HasColumnType("int");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Plant_Id")
                        .HasColumnType("int");

                    b.Property<string>("UserRole")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("User_Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Trace_Login_Master");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Module_Master", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Application_Id")
                        .HasColumnType("int");

                    b.Property<int>("Module_Id")
                        .HasColumnType("int");

                    b.Property<string>("Module_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Module_Status")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Trace_Module_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_MHE_Master", b =>
                {
                    b.Property<int>("MHE_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("MHE_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("MHE_Status")
                        .HasColumnType("int");

                    b.Property<string>("MHE_Type")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("Max_Capacity")
                        .HasColumnType("int");

                    b.Property<int?>("Unit_Of_Measurement")
                        .HasColumnType("int");

                    b.Property<int>("WorkCent_Id")
                        .HasColumnType("int");

                    b.HasKey("MHE_Id");

                    b.ToTable("Trace_MHE_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_Material_Master", b =>
                {
                    b.Property<int>("Material_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Material_Code")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Material_CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("Material_CreationDate")
                        .HasColumnType("datetime2");

                    b.Property<string>("Material_Type")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Status")
                        .HasColumnType("int");

                    b.Property<int>("WorkCent_Id")
                        .HasColumnType("int");

                    b.HasKey("Material_Id");

                    b.ToTable("Trace_Material_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_Plant_Master", b =>
                {
                    b.Property<int>("Plant_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Plant_Address")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Plant_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("Plant_Status")
                        .HasColumnType("int");

                    b.HasKey("Plant_Id");

                    b.ToTable("Trace_Plant_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_Storage_Location_Master", b =>
                {
                    b.Property<int>("Storage_Loc_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ShopFloorLocation_Id")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Storage_Loc_Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Storage_Loc_Id");

                    b.ToTable("Trace_Storage_Location_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_UWB_Anchor_Master", b =>
                {
                    b.Property<int>("UWB_Anchor_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("UWD_Anchor_Installed_Date")
                        .HasColumnType("datetime2");

                    b.Property<string>("UWD_Anchor_Make")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UWD_Anchor_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UWD_Anchor_Status")
                        .HasColumnType("int");

                    b.HasKey("UWB_Anchor_Id");

                    b.ToTable("Trace_UWB_Anchor_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_UWB_Tag_Master", b =>
                {
                    b.Property<int>("UWB_Tag_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("UWB_Tag_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UWB_Tag_Status")
                        .HasColumnType("int");

                    b.Property<int?>("UWB_Tag_Uniqe_Id")
                        .HasColumnType("int");

                    b.HasKey("UWB_Tag_Id");

                    b.ToTable("Trace_UWB_Tag_Master");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_User_Type", b =>
                {
                    b.Property<int>("User_Type_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("User_Type_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("User_Type_Status")
                        .HasColumnType("int");

                    b.HasKey("User_Type_Id");

                    b.ToTable("Trace_User_Type");
                });

            modelBuilder.Entity("Model.Trace_Masters.Trace_WorkCenter_Master", b =>
                {
                    b.Property<int>("WorkCent_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Plant_Id")
                        .HasColumnType("int");

                    b.Property<int?>("Status")
                        .HasColumnType("int");

                    b.Property<string>("WorkCent_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("WorkCent_Type")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("WorkCent_Id");

                    b.ToTable("Trace_WorkCenter_Master");
                });

            modelBuilder.Entity("Model.Trace_Transactions.Trace_Barcode_Generation", b =>
                {
                    b.Property<int>("Barcode_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Barcode")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<int?>("BarcodeGen_Status")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Barcode_Gen_Date")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("Barcode_Gen_Time")
                        .HasColumnType("datetime2");

                    b.Property<int>("Production_Id")
                        .HasColumnType("int");

                    b.HasKey("Barcode_Id");

                    b.ToTable("Trace_Barcode_Generation");
                });

            modelBuilder.Entity("Model.Trace_Transactions.Trace_Material_Consumed_Actual", b =>
                {
                    b.Property<int>("MC_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("Production_Date")
                        .HasColumnType("datetime2");

                    b.Property<int>("Production_Id")
                        .HasColumnType("int");

                    b.Property<string>("Production_Shift")
                        .HasMaxLength(10)
                        .HasColumnType("nvarchar(10)");

                    b.Property<int?>("Schedule_ID")
                        .HasColumnType("int");

                    b.Property<int?>("Status")
                        .HasColumnType("int");

                    b.Property<int>("WorkCent_Id")
                        .HasColumnType("int");

                    b.HasKey("MC_Id");

                    b.ToTable("Trace_Material_Consumed_Actual");
                });

            modelBuilder.Entity("Model.Trace_Transactions.Trace_Material_Consumed_Spec", b =>
                {
                    b.Property<int>("MCS_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Incoming_Material_Id")
                        .HasColumnType("int");

                    b.Property<string>("Incoming_Material_Type")
                        .HasMaxLength(30)
                        .HasColumnType("nvarchar(30)");

                    b.Property<int>("Production_Id")
                        .HasColumnType("int");

                    b.Property<int>("status")
                        .HasColumnType("int");

                    b.HasKey("MCS_Id");

                    b.ToTable("Trace_Material_Consumed_Spec");
                });

            modelBuilder.Entity("Model.Trace_Transactions.Trace_Production", b =>
                {
                    b.Property<int>("Production_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AdditionalFields")
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<int?>("Barcode_Id")
                        .HasColumnType("int");

                    b.Property<string>("CrewDetails")
                        .HasMaxLength(250)
                        .HasColumnType("nvarchar(250)");

                    b.Property<int>("MHE_Id")
                        .HasColumnType("int");

                    b.Property<int>("Material_Id")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Prod_Date")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("Prod_Time")
                        .HasColumnType("datetime2");

                    b.Property<int?>("Quantity")
                        .HasColumnType("int");

                    b.Property<string>("Remarks")
                        .HasMaxLength(250)
                        .HasColumnType("nvarchar(250)");

                    b.Property<int?>("Shift_Id")
                        .HasColumnType("int");

                    b.Property<int?>("Status")
                        .HasColumnType("int");

                    b.Property<string>("Unit_Of_Measurement")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("WorkCent_Id")
                        .HasColumnType("int");

                    b.HasKey("Production_Id");

                    b.ToTable("Trace_Production");
                });

            modelBuilder.Entity("Model.Trace_Transactions.Trace_Tag_Generation", b =>
                {
                    b.Property<int>("TagId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Location_Id")
                        .HasColumnType("int");

                    b.Property<string>("Module_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Print_Status")
                        .HasColumnType("int");

                    b.Property<DateTime>("Printed_DateTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("Printer_Ip")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Printer_Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("User_Id")
                        .HasColumnType("int");

                    b.HasKey("TagId");

                    b.ToTable("Trace_Tag_Generation");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Hold", b =>
                {
                    b.Property<int>("Hold_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Hold_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime?>("Hold_Date")
                        .HasColumnType("datetime2");

                    b.Property<int?>("Hold_Reason_Id")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<int?>("Hold_Status")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Hold_Time")
                        .HasColumnType("datetime2");

                    b.Property<int>("Production_ID")
                        .HasColumnType("int");

                    b.HasKey("Hold_Id");

                    b.ToTable("Trace_Hold");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Hold_Reasons", b =>
                {
                    b.Property<int>("Hold_Reason_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Hold_Reason")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<int?>("Hold_Reason_status")
                        .HasColumnType("int");

                    b.HasKey("Hold_Reason_Id");

                    b.ToTable("Trace_Hold_Reasons");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Hold_Release", b =>
                {
                    b.Property<int>("Hold_Release_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Hold_Id")
                        .HasColumnType("int");

                    b.Property<string>("Realesed_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<int>("Realesed_Count")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Realesed_date")
                        .HasColumnType("datetime2");

                    b.Property<string>("Released_Reason")
                        .HasMaxLength(250)
                        .HasColumnType("nvarchar(250)");

                    b.Property<DateTime?>("Released_Time")
                        .HasColumnType("datetime2");

                    b.Property<int>("status")
                        .HasColumnType("int");

                    b.HasKey("Hold_Release_Id");

                    b.ToTable("Trace_Hold_Release");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Material_Transaction", b =>
                {
                    b.Property<int>("Material_Transaction_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Created_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime?>("Created_Time")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("End_Time")
                        .HasColumnType("datetime2");

                    b.Property<int?>("Material_Status")
                        .HasColumnType("int");

                    b.Property<int?>("Production_Id")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<DateTime?>("Start_Time")
                        .HasColumnType("datetime2");

                    b.Property<int?>("Trans_Status")
                        .HasColumnType("int");

                    b.HasKey("Material_Transaction_Id");

                    b.ToTable("Trace_Material_Transaction");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Print_Generation", b =>
                {
                    b.Property<int>("Print_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Barcode_Id")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Print_Time")
                        .HasColumnType("datetime2");

                    b.Property<string>("Printed_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<int>("Production_Id")
                        .HasColumnType("int");

                    b.Property<int?>("Status")
                        .HasColumnType("int");

                    b.HasKey("Print_Id");

                    b.ToTable("Trace_Print_Generation");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Product_Ageing", b =>
                {
                    b.Property<int>("Product_Ageing_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Ageing_Time")
                        .HasColumnType("int");

                    b.Property<string>("Ageing_Unit")
                        .HasMaxLength(30)
                        .HasColumnType("nvarchar(30)");

                    b.Property<int?>("Material_ID")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<int?>("OverAgeing_Time")
                        .HasColumnType("int");

                    b.HasKey("Product_Ageing_Id");

                    b.ToTable("Trace_Product_Ageing");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Production_Remarks", b =>
                {
                    b.Property<int>("Remark_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Remark_Status")
                        .HasColumnType("int");

                    b.Property<string>("Remarks")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int>("WorkCent_Id")
                        .HasColumnType("int");

                    b.HasKey("Remark_Id");

                    b.ToTable("Trace_Prod_Remarks");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Scrap_Entry", b =>
                {
                    b.Property<int>("Scrap_EntryId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("Entry_Date")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("Entry_Time")
                        .HasColumnType("datetime2");

                    b.Property<int>("Material_Id")
                        .HasColumnType("int");

                    b.Property<string>("Updated_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Scrap_EntryId");

                    b.ToTable("Trace_Scrap_Entry");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Status_Master", b =>
                {
                    b.Property<int>("Status_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Status_Code")
                        .HasMaxLength(30)
                        .HasColumnType("nvarchar(30)");

                    b.Property<string>("Status_Name")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Status_Id");

                    b.ToTable("Trace_Status_Master");
                });

            modelBuilder.Entity("Model.Tread_FIFO.Trace_Taken_ToTB", b =>
                {
                    b.Property<int>("TakenToTb_Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Ageing_Id")
                        .HasColumnType("int");

                    b.Property<int?>("Production_Id")
                        .IsRequired()
                        .HasColumnType("int");

                    b.Property<string>("TakenToTB_By")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime?>("TakenToTB_Time")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("TakenToTb_Date")
                        .HasColumnType("datetime2");

                    b.Property<int?>("TakenToTb_Status")
                        .HasColumnType("int");

                    b.HasKey("TakenToTb_Id");

                    b.ToTable("Trace_Taken_ToTB");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Cust_Ageing_Mapping", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Ageing_Master", "FGS_FIFO_Ageing_Master")
                        .WithMany()
                        .HasForeignKey("Ageing_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Customer_Master", "FGS_FIFO_Customer_Master")
                        .WithMany()
                        .HasForeignKey("Customer_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Ageing_Master");

                    b.Navigation("FGS_FIFO_Customer_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Customer_Master", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Batch_Type_Master", "FKFGS_FIFO_Batch_Type_Master")
                        .WithMany()
                        .HasForeignKey("Batch_Type_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Customer_Type_Master", "FGS_FIFO_Customer_Type_Master")
                        .WithMany()
                        .HasForeignKey("Customer_Type_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Customer_Type_Master");

                    b.Navigation("FKFGS_FIFO_Batch_Type_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Daily_Despatch_Transaction", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Despatch_Request", "FGS_FIFO_Despatch_Request")
                        .WithMany("FGS_FIFO_Daily_Despatch_Transaction")
                        .HasForeignKey("Desp_Req_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Despatch_Status_Master", "FGS_FIFO_Despatch_Status_Master")
                        .WithMany()
                        .HasForeignKey("Desp_Status_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Despatch_Request");

                    b.Navigation("FGS_FIFO_Despatch_Status_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Daily_Receipt_Transaction", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Batch_Type_Master", "FGS_FIFO_Batch_Type_Master")
                        .WithMany()
                        .HasForeignKey("Batch_Type_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Location_Master", "FGS_FIFO_Location_Master")
                        .WithMany()
                        .HasForeignKey("Location_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Material_Master", "FGS_FIFO_Material_Master")
                        .WithMany()
                        .HasForeignKey("Material_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Supplier_Master", "FGS_FIFO_Supplier_Master")
                        .WithMany()
                        .HasForeignKey("Supplier_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Batch_Type_Master");

                    b.Navigation("FGS_FIFO_Location_Master");

                    b.Navigation("FGS_FIFO_Material_Master");

                    b.Navigation("FGS_FIFO_Supplier_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Despatch_Request", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Customer_Master", "FGS_FIFO_Customer_Master")
                        .WithMany()
                        .HasForeignKey("Customer_id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Material_Master", "FGS_FIFO_Material_Master")
                        .WithMany()
                        .HasForeignKey("Material_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Customer_Master");

                    b.Navigation("FGS_FIFO_Material_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Material_Master", b =>
                {
                    b.HasOne("Model.FGS_FIFO.FGS_FIFO_Material_Type_Master", "FGS_FIFO_Material_Type_Master")
                        .WithMany()
                        .HasForeignKey("Material_Type_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("FGS_FIFO_Material_Type_Master");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Application_Employee_Mapping", b =>
                {
                    b.HasOne("Model.TraceUsers.Trace_Login_Master", "Trace_Login_Master")
                        .WithMany("AppEmpMapRelation")
                        .HasForeignKey("LogMastEmp_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Model.TraceUsers.Trace_Module_Master", "Trace_Module_Master")
                        .WithMany()
                        .HasForeignKey("Module_Id")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Trace_Login_Master");

                    b.Navigation("Trace_Module_Master");
                });

            modelBuilder.Entity("Model.FGS_FIFO.FGS_FIFO_Despatch_Request", b =>
                {
                    b.Navigation("FGS_FIFO_Daily_Despatch_Transaction");
                });

            modelBuilder.Entity("Model.TraceUsers.Trace_Login_Master", b =>
                {
                    b.Navigation("AppEmpMapRelation");
                });
#pragma warning restore 612, 618
        }
    }
}
